var fmainWindowVisible = true;
var fplWindowVisible = false;
var fvidWindowVisible = false;
var eq_isOpen = true;
var g_fExpectingSizeChange = false;
var g_fUserHasSized = false;
var	vidplay = false

function onLoad(){
	volume.value = player.settings.volume;
	loadMainPrefs();
	theme.savePreference("vidViewer", "false");
	checkPlayerState();
	updateMetadata('status');
	displayTime( 0 );
}

function EndVideo(){
	vidplay=false;
	player.controls.stop();
	view.close();
}
function Stop(){
	player.controls.stop();}

function updateMetadata(type){
    if("status"==type){
    if(player.openState!=13) return;
 
 var metaAuthor = player.currentMedia.getItemInfo("author");
 
    if (metaAuthor != "") {
       metaAuthor += " - ";
  }
 
  metadata.value = metaAuthor;
  
 }
 else if("playlist"==type){
      if(player.currentPlaylist.count==0) return;
 
  var metaAuthor = player.currentMedia.getItemInfo("author");
 
       if (metaAuthor != "") {
          metaAuthor += " - ";
  }
 
  if(player.openState!=13){
   metadata.value = metaAuthor;
  }
 }
 else{
  metadata.scrolling = (metadata.textWidth>metadata.width);
  return;
 }
 
 metadata.value += player.currentmedia.name;
 metadata.scrolling = (metadata.textWidth>metadata.width);
 
}
		
function checkPlayerState(){

	if (player){
		switch (player.playState){

			case 3: 	//playing
				if("true"==theme.loadPreference("vidCheck")){
					theme.openView('vidWindow');
				}
				if(("false"==theme.loadPreference("vidViewer"))&&player.currentMedia.ImageSourceWidth>0){
					theme.openView('vidWindow');
					break
				}
				break;
			}
		}

	if (!player.controls.isAvailable("Stop")) {
	}
   if (!player.controls.isAvailable("Pause")) {
	}

}
 
var displayElapsedTime = true;
 
function displayTime( time )
{
 if(player.currentPlaylist.count==0) return;
 
 if( !displayElapsedTime ){
        time = player.currentMedia.duration - time;
    }
 
 blockSize = 10
    time = time - time % 1;
 
    no4.left = -( time % 10 ) * blockSize;
 
    time = time - ( time % 10);
    no3.left = -( ( time % 60 ) / 10 ) * blockSize;
 
    time = time - ( time % 60 );
    time = time / 60;
    no2.left = -( time % 10 ) * blockSize;
 
    time = time - ( time % 10 );
    no1.left = -( time / 10 ) * blockSize;
}
 
function switchTime()
{
    displayElapsedTime = !displayElapsedTime;
 
    if( displayElapsedTime ){
        timeSign.left = -100;
    }
    else{
        timeSign.left = -110;
    }
 
 time = Slider.value;
  displayTime( time );
}						

function openFile(){
	var media = theme.openDialog('FILE_OPEN','FILES_ALLMEDIA');
	if (media) {
		player.URL = media;
		player.controls.play();
	}
}

function openView(name,id){//open windows
	if(id=="visViewer"){
		if("false"==theme.loadPreference("vidViewer")){
			if("true"==theme.loadPreference(id)){
				theme.savePreference(id, "false");
				theme.closeView( name );
			}else{
				theme.openView( name );
				theme.savePreference(id, "true");
			}		
		}
	}
	else{
		if("true"==theme.loadPreference(id)){
			if( id=="vidViewer" ){
				player.controls.stop();
				theme.savePreference("vidCheck", "false");
				theme.savePreference("vidViewer", "false");
				theme.savePreference(id, "false");
				theme.closeView( name );
			}
			else{
				theme.savePreference(id, "false");
				theme.closeView( name );
			}
		}
		else{
			theme.openView( name );
			theme.savePreference(id, "true");
		}		
	}
}

function closeView(id){
	theme.savePreference(id, "false");
	if( id=="vidViewer" ){
		player.controls.stop();
		theme.savePreference("vidCheck", "false");
		theme.savePreference("vidViewer", "false");
	}
	view.close();
}

function updateToolTip(id,button,tip){
	if("true"==theme.loadPreference( id )){
		eval( button +".upToolTip = locHide" + tip + ".toolTip" );
	}else{
		eval( button +".upToolTip = locShow" + tip + ".toolTip" );
	}
}

function loadMainPrefs(){
    if ("true"==theme.loadPreference("plViewer")){
		theme.openView( 'plWindow' );
	}
	if ("true"==theme.loadPreference("visViewer")){
		theme.openView( 'visWindow' );
	}
}
function AdjustAudio()
{
    eq.gainLevel1 = bass.value;
    eq.gainLevel2 = (11*bass.value +   treble.value)/6;
    eq.gainLevel3 = (10*bass.value + 5*treble.value)/6;
    eq.gainLevel4 = (9*bass.value + 6*treble.value)/6;
    eq.gainLevel5 = (8*bass.value + 7*treble.value)/6;
    eq.gainLevel6 = (7*bass.value + 8*treble.value)/6;
    eq.gainLevel7 = (6*bass.value + 9*treble.value)/6;
    eq.gainLevel8 = (5*bass.value + 10*treble.value)/6;
    eq.gainLevel9 = (  bass.value + 11*treble.value)/6;
    eq.gainLevel10 = treble.value;
}
//video functions
function loadVidPrefs(){
	theme.savePreference( 'vidViewer', "true" );
	theme.savePreference("vidCheck", "true");

	checkSnapStatus();
	checkVideoPlayerState();
	updateZoomToolTip();
}

function saveVidPrefs(){
	theme.savePreference('drawerStatus',drawerStatus);
}

function loadVidSize(){
    var vidSizer = theme.loadPreference( "videoWidth" );

    if( "--" != vidSizer )
    {
        view.width = vidSizer;
    }
    vidSizer = theme.loadpreference( "videoHeight" );

    if( "--" != vidSizer )
    {
        view.height = vidSizer;
    }
}

function saveVidSize(){
    theme.savePreference( "videoWidth", view.width );
    theme.savePreference( "videoHeight", view.height );
	theme.savePreference("vidSnapper" , "false");
	zoomBttn.upToolTip = vidSetTip.toolTip;
	mediacenter.videoZoom = 50;
}

function checkSnapStatus(){
	if(player.openState!=13) return;
	if("false"==theme.loadPreference("vidSnapper")){
		loadVidSize();
	}else{
		SnapToVideo();
	}
}

function SnapToVideo(){
		var zoom = mediacenter.videoStretchToFit ? 100 : mediacenter.videoZoom;
		var x = (player.currentMedia.imageSourceWidth * (zoom / 100.0));
		var y = (player.currentMedia.imageSourceHeight * (zoom / 100.0));

		view.height= player.currentMedia.imageSourceHeight + 93
		view.width= player.currentMedia.imageSourceWidth + 92;
		}



function checkVidViewSize(){
	
}
